@charset "utf-8";

.slide-menu {
  height: 100%;
  width: 492px;
  position: fixed;
  background: #fff;
  z-index: 300053;
  top: 0;
  transform: translateX(-101%);
  transition: transform 0.2s ease-out;
  overflow: hidden;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  overscroll-behavior: contain;
}
.slide-menu.open {
  transform: none;
}
.slide-menu_content {
  width: 100%;
  position: relative;
  background-color: #fff;
}
.slide-menu_btn-side {
  padding: 22px 25px;
  position: absolute;
  left: 0;
}
.slide-menu_closebtn {
  width: 20px;
  height: 20px;
  margin-left: auto;
  display: block;
  position: relative;
  appearance: none !important;
  background: none;
  border: none;
  padding: 0;
  cursor: pointer;
}
.slide-menu_closebtn::before,
.slide-menu_closebtn::after {
  content: '';
  width: 25px;
  display: block;
  position: absolute;
  top: 50%;
  right: 0;
  border-top: 2px solid var(--color-primary);
}
.slide-menu_closebtn::before {
  transform: rotate(-45deg);
}
.slide-menu_closebtn::after {
  transform: rotate(45deg);
}
.slide-menu_link-block {
  padding-top: 67px;
}
.slide-menu_cta-block {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  padding: 0 35px 10px;
}
.slide-menu_cta-link {
  --hover-color: #000;
  --hover-border-color: #000;
  --hover-background-color: #fff;
  display: block;
  padding: 15px;
  width: 49%;
  color: #fff;
  font-size: 1.4rem;
  text-align: center;
  background-color: var(--color-primary);
  border: 1px solid transparent;
  transition-property: color, border-color, background-color;
  transition-duration: 0.3s;
  transition-timing-function: ease-out;
}
.slide-menu_cta-link:focus-visible {
  color: var(--hover-color);
  border-color: var(--hover-border-color);
  background-color: var(--hover-background-color);
}
@media (any-hover: hover) {
  .slide-menu_cta-link:hover {
    color: var(--hover-color);
    border-color: var(--hover-border-color);
    background-color: var(--hover-background-color);
  }
}
.slide-menu_list {
  display: flex;
  flex-wrap: wrap;
  margin-top: 6px;
  padding: 0 35px 35px;
}
.slide-menu_item {
  width: 100%;
  border-bottom: 1px dotted var(--color-primary);
}
.slide-menu_link {
  display: block;
  padding: 15px 0 15px 10px;
  position: relative;
  font-size: 1.4rem;
  font-weight: 700;
}
.slide-menu_link.closebottom {
  width: 180px;
  margin: 35px auto;
  padding: 15px 10px;
  text-align: center;
  border: 1px solid;
  color: var(--color-primary);
}
.slide-menu_link img {
  width: 20px;
  height: auto;
  margin-right: 6px;
  vertical-align: bottom;
}
.slide-menu_item.radio img {
  width: 17px;
  margin-right: 7px;
  position: relative;
  top: 2px;
}
.slide-menu_item.accordion .accordion-nav::after {
  content: '';
  width: 10px;
  height: 10px;
  position: absolute;
  top: 19px;
  right: 20px;
  border-bottom: solid 2px #000;
  border-right: solid 2px #000;
  transform: rotate(45deg);
}
.slide-menu_item.accordion .accordion-nav.active::after {
  content: '';
  width: 10px;
  height: 10px;
  position: absolute;
  top: 25px;
  right: 20px;
  border: none;
  border-top: solid 2px #000;
  border-left: solid 2px #000;
  transform: rotate(45deg);
}
.slide-menu_item.accordion .accordion-menu {
  display: none;
}
.slide-menu_item.accordion .accordion-menu .slide-menu_item {
  border: none;
  border-top: 1px dotted var(--color-primary);
}
.slide-menu_item.accordion .accordion-menu .slide-menu_link {
  padding-left: 40px;
}
.slide-menu_sns {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  row-gap: 4px;
  max-width: 350px;
  margin-inline: auto;
}
.slide-menu_sns-link {
  display: block;
  width: 100%;
  height: 100%;
  background-position: center 40%;
  background-repeat: no-repeat;
  position: relative;
  min-width: 60px;
  min-height: 60px;
}
.slide-menu_sns-link::before,
.slide-menu_sns-link::after {
  content: '';
  position: absolute;
  top: 14px;
  left: 0;
  right: 0;
  margin: auto;
  display: block;
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  transition: opacity 0.3s ease-out;
}
.slide-menu_sns-link::after {
  opacity: 0;
}
.slide-menu_sns-link .label {
  position: absolute;
  bottom: 10%;
  width: 100%;
  font-size: 1rem;
  text-align: center;
}
.slide-menu_sns-link.fb::before,
.slide-menu_sns-link.fb::after {
  width: 26px;
  height: 26px;
}
.slide-menu_sns-link.fb::before {
  background-image: url(/common/images/common/ico-facebook-black.svg);
}
.slide-menu_sns-link.fb::after {
  background-image: url(/common/images/common/ico-facebook-blue.svg);
}
.slide-menu_sns-link.tw::before,
.slide-menu_sns-link.tw::after {
  width: 24px;
  height: 26px;
}
.slide-menu_sns-link.tw::before {
  background-image: url(/common/images/common/ico-x-black.svg);
}
.slide-menu_sns-link.tw::after {
  background-image: url(/common/images/common/ico-x-gray.svg);
}
.slide-menu_sns-link.line::before,
.slide-menu_sns-link.line::after {
  width: 27px;
  height: 26px;
}
.slide-menu_sns-link.line::before {
  background-image: url(/common/images/common/ico-line-black.svg);
}
.slide-menu_sns-link.line::after {
  background-image: url(/common/images/common/ico-line-green.svg);
}
.slide-menu_sns-link.insta::before,
.slide-menu_sns-link.insta::after {
  width: 28px;
  height: 28px;
}
.slide-menu_sns-link.insta::before {
  background-image: url(/common/images/common/ico-instagram-black.svg);
}
.slide-menu_sns-link.insta::after {
  background-image: url(/common/images/common/ico-instagram-color.webp);
}
.slide-menu_sns-link.podcast::before,
.slide-menu_sns-link.podcast::after {
  width: 25px;
  height: 30px;
}
.slide-menu_sns-link.podcast::before {
  background-image: url(/common/images/common/ico-podcast-black.svg);
}
.slide-menu_sns-link.podcast::after {
  background-image: url(/common/images/common/ico-podcast-purple.svg);
}
.slide-menu_sns-link.youtube::before,
.slide-menu_sns-link.youtube::after {
  width: 28px;
  height: 25px;
}
.slide-menu_sns-link.youtube::before {
  background-image: url(/common/images/common/ico-youtube-black.svg);
}
.slide-menu_sns-link.youtube::after {
  background-image: url(/common/images/common/ico-youtube-red.svg);
}
.slide-menu_sns-link.tiktok::before,
.slide-menu_sns-link.tiktok::after {
  width: 21px;
  aspect-ratio: 24 / 27;
}
.slide-menu_sns-link.tiktok::before {
  background-image: url(/common/images/common/ico-tiktok-black.svg);
}
.slide-menu_sns-link.tiktok::after {
  background-image: url(/common/images/common/ico-tiktok-color.svg);
}
.slide-menu_sns-link.linkedin::before,
.slide-menu_sns-link.linkedin::after {
  width: 24px;
  height: 24px;
}
.slide-menu_sns-link.linkedin::before {
  background-image: url(/common/images/common/ico-linkedin-black.svg);
}
.slide-menu_sns-link.linkedin::after {
  background-image: url(/common/images/common/ico-linkedin-blue.svg);
}
.slide-menu_sns-link:focus-visible::before {
  opacity: 0;
}
@media (any-hover: hover) {
  .slide-menu_sns-link:hover::before {
    opacity: 0;
  }
}
.slide-menu_sns-link:focus-visible::after {
  opacity: 1;
}
@media (any-hover: hover) {
  .slide-menu_sns-link:hover::after {
    opacity: 1;
  }
}
.slide-menu-mask {
  position: fixed;
  width: 100vw;
  height: 100vh;
  top: 0;
  z-index: 300052;
  background-color: rgba(255, 255, 255, 0.7);
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s linear 0.2s, visibility 0.3s linear 0.5s;
  overflow: auto;
  overflow-x: hidden;
  -webkit-overflow-scrolling: touch;
}
.slide-menu-mask.show {
  visibility: visible;
  opacity: 1;
  transition: opacity 0.2s;
}
